## org.omg.CORBA
Class UnionMember

    java.lang.Object
      |
      +--org.omg.CORBA.UnionMember

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class UnionMember
extends java.lang.Object
implements IDLEntity

This structure describes an union member.

See Also:
  Serialized Form

Field Summary
`Any` `label` Struct member label
`java.lang.String` `name` Struct member name
`TypeCode` `type` Struct member type
`IDLType` `type_def` Struct member type_def

Constructor Summary
`UnionMember()` Default constructor
`UnionMember(java.lang.String name, Any label, TypeCode type, IDLType type_def)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  Struct member name

### label

    public Any label

  Struct member label

### type

    public TypeCode type

  Struct member type

### type_def

    public IDLType type_def

  Struct member type_def

Constructor Detail

### UnionMember

    public UnionMember()

  Default constructor

### UnionMember

    public UnionMember(java.lang.String name,
                       Any label,
                       TypeCode type,
                       IDLType type_def)

  Constructor with fields initialization
  Parameters:
    `name` - name struct member
    `label` - label struct member
    `type` - type struct member
    `type_def` - type_def struct member